### Constructor

# Gsk TextureNode new

#### Declaration [src]

    GskRenderNode*
    gsk_texture_node_new (
      GdkTexture* texture,
      const graphene_rect_t* bounds
    )

#### Description [src]

Creates a `GskRenderNode` that will render the given `texture` into the area given by `bounds`.

#### Parameters

`texture` | `GdkTexture*`
| The `GdkTexture`.
| The data is owned by the caller of the function.
`bounds` | `const graphene_rect_t*`
| The rectangle to render the texture into.
| The data is owned by the caller of the function.

#### Return value

Returns: | `GskTextureNode`
| A new `GskRenderNode`.
| The caller of the function takes ownership of the data, and is responsible for freeing it.